Skip to main content
GET
/
api
/
v1
/
perps
/
proposals
List perp proposals
curl --request GET \
  --url https://api.alpha-labs.trade/api/v1/perps/proposals \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "groupId": "<string>",
      "createdByUserDynamicId": "<string>",
      "marketSymbol": "<string>",
      "reason": "<string>",
      "closedAt": "2023-11-07T05:31:56Z",
      "exitPnlUsd": "12.50",
      "exitPnlPct": "4.27",
      "currentPnlPct": "4.27",
      "stopLossPct": "4.27",
      "takeProfitPct": "4.27",
      "participantCount": 123,
      "totalParticipantCount": 123,
      "participantAvatars": [
        "<string>"
      ],
      "creatorLeverage": "4.27",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer murmo_.... Keys are created in the Murmo app. Header-only — keys are never read from the query string. Valid for the REST API under /api/v1 only (not the GraphQL endpoint).

Query Parameters

groupId
string
required

Response

Proposals.

data
object[]